Package org.zeromq

# Class ZMQTest

java.lang.Object
org.zeromq.ZMQTest

public class ZMQTest extends Object

## Constructor Summary

Constructors
Constructor
Description
`ZMQTest()`

## Method Summary

Modifier and Type
Method
Description
`void`
`testBindToRandomPort()`
Test method for `ZMQ.Socket.bindToRandomPort(String)`.
`void`
`testByteBufferRecv()`
`void`
`testByteBufferRecvTooLarge()`
`void`
`testByteBufferSend()`
`void`
`testEventAccepted()`
`void`
`testEventBindFailed()`
`void`
`testEventClosed()`
`void`
`testEventConnectDelayed()`
`void`
`testEventConnected()`
`void`
`testEventConnectRetried()`
`void`
`testEventDisconnected()`
`void`
`testEventListening()`
`void`
`testEventMonitorStopped()`
`void`
`testGetVersion()`
Test method for `ZMQ.getVersionString()`.
`void`
`testMakeVersion()`
Test method for `ZMQ.makeVersion(int, int, int)`.
`void`
`testPollerUnregister()`
`void`
`testProxy()`
`void`
`testReqRep()`
`void`
`testRouterMandatory()`
Test method for Router Mandatory
`void`
`testSendMoreRequestReplyOverTcp()`
`void`
`testSetOption()`
Test method for various set/get options.
`void`
`testSetXpubVerbose()`
`void`
`testWritingToClosedSocket()`
`void`
`testXPUBSUB()`
`void`
`testZeroCopyRecv()`
`void`
`testZeroCopySend()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ZMQTest

public ZMQTest()

## Method Details

### testMakeVersion

public void testMakeVersion()
Test method for `ZMQ.makeVersion(int, int, int)`.

### testGetVersion

public void testGetVersion()
Test method for `ZMQ.getVersionString()`.

### testBindToRandomPort

public void testBindToRandomPort()
Test method for `ZMQ.Socket.bindToRandomPort(String)`.

### testReqRep

public void testReqRep()

### testXPUBSUB

public void testXPUBSUB()

### testSetXpubVerbose

public void testSetXpubVerbose()

### testSetOption

public void testSetOption()
Test method for various set/get options.

### testProxy

public void testProxy() throws Exception

Throws:
  `Exception`

### testRouterMandatory

public void testRouterMandatory()
Test method for Router Mandatory

### testSendMoreRequestReplyOverTcp

public void testSendMoreRequestReplyOverTcp()

### testWritingToClosedSocket

public void testWritingToClosedSocket()

### testZeroCopyRecv

public void testZeroCopyRecv()

### testZeroCopySend

public void testZeroCopySend() throws InterruptedException

Throws:
  `InterruptedException`

### testByteBufferSend

public void testByteBufferSend() throws InterruptedException

Throws:
  `InterruptedException`

### testByteBufferRecv

public void testByteBufferRecv() throws InterruptedException, CharacterCodingException

Throws:
  `InterruptedException`
  `CharacterCodingException`

### testByteBufferRecvTooLarge

public void testByteBufferRecvTooLarge() throws InterruptedException, CharacterCodingException

Throws:
  `InterruptedException`
  `CharacterCodingException`

### testPollerUnregister

public void testPollerUnregister()

### testEventConnected

public void testEventConnected()

### testEventConnectDelayed

public void testEventConnectDelayed()

### testEventConnectRetried

public void testEventConnectRetried()

### testEventListening

public void testEventListening()

### testEventBindFailed

public void testEventBindFailed()

### testEventAccepted

public void testEventAccepted()

### testEventClosed

public void testEventClosed()

### testEventDisconnected

public void testEventDisconnected()

### testEventMonitorStopped

public void testEventMonitorStopped()